<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 09/10/2017
 * Time: 14:18
 */

require_once '../vendor/autoload.php';

use GuzzleHttp\Psr7\Request;
use GuzzleHttp\Psr7\Response;
use GuzzleHttp\Psr7\ServerRequest;
use function Http\Response\send;
use Retailmenot\Lab\Middleware\Dispatcher;


/**
 * @var Request $request
 */
$request = ServerRequest::fromGlobals();
$middleware1 = function ($request, $response, $next = null) {

    return addHeaderMiddleware($request, $response, $next);
};

$middleware2 = function ($request, $response, $next = null) {

    return dummyMiddleware($request, $response, $next);
};

$middleware3 = function ($request, $response, $next = null) {

    return dummyMiddleware2($request, $response, $next);
};


$response = new Response();

$dispatcher = new Dispatcher();
$dispatcher->pipe($middleware3);
$dispatcher->pipe($middleware2);
$dispatcher->pipe($middleware1);

$response = $dispatcher->process($request, $response);

send($response);
